{% extends 'dashboard/_layout/layout_dashboard_v2.html.twig' %}

{% block title %}Lists {{ parent() }}{% endblock %}

{% block content %}
    <div class="container-fluid">
        <div class="row mx-5 pt-4">
            <div class="col-12">
                <div class="row align-items-center mb-4">
                    <div class="col">
                        <h4 class="mt-0 text-dark font-weight-bold">Lists</h4>
                    </div><!--end col-->
                    <div class="col-auto">
                        <button type="button" class="btn btn-primary" data-toggle="modal"
                                data-target="#createGroupModal">
                            <i class="las la-user-plus"></i>
                            Add List
                        </button>
                    </div>
                </div> <!--end row-->
            </div>

            {% embed 'dashboard/_component/flash_v2.html.twig' with {'classes':'col-12 mb-1'} %}{% endembed %}

            <div class="col-12">
                <div class="card shadow-none border-0 border-radius-10">
                    <div class="card-body p-0 border-bottom">
                        <form class="form-inline p-3 border-radius-10">
                            <div class="form-group">
                                <label for="inputPassword2" class="sr-only">Search</label>
                                <input type="search" class="form-control form-control-sm" id="inputPassword2"
                                       placeholder="Search...">
                            </div>
                            <div class="form-group mx-sm-3">
                                <label for="status-select" class="mr-2">Sort By</label>
                                <select class=" form-control  form-control-sm" id="status-select">
                                    <option selected="">All</option>
                                    <option value="1">Hot</option>
                                    <option value="2">Cold</option>
                                    <option value="3">In Progress</option>
                                    <option value="4">Lost</option>
                                    <option value="5">Won</option>
                                </select>
                            </div>
                            <button type="button" class="btn btn-soft-primary btn-sm">
                                <i class="fas fa-search mr-1"></i>search
                            </button>
                        </form>
                    </div>

                    <div class="card-body">
                        <div class="row">
                            <div class="col-12 align-self-end">
                                <div class="timer-data">
                                    <div class="table-responsive browser_users">
                                        {% if groups | length > 0 %}
                                            <table class="table stripe mb-0">
                                                <caption>List of contact lists ({{ groups | length }})</caption>
                                                <thead class="thead-light">
                                                <tr>
                                                    <th scope="col">Name</th>
                                                    <th scope="col" class="text-center">Description</th>
                                                    <th scope="col" class="text-center">Contacts</th>
                                                    <th scope="col" class="text-center">Created At</th>
                                                    <th scope="col" class="text-right">Action</th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                {% for key, groupItem in groups %}
                                                    {% set group = groupItem.data %}
                                                    <tr>
                                                        <td>
                                                            <a href="{{ path('app_dashboard_contact_list', {listId: group.id}) }}"><b>{{ group.name }}</b></a>
                                                        </td>
                                                        <td class="text-center">
                                                            {% if group.description is null %}-{% else %}{{ group.description }}{% endif %}
                                                        </td>
                                                        <td class="text-center">{{ groupItem.total }}</td>
                                                        <td class="text-center">
                                                            {{ group.createdAt | date('d F Y h:i') }}
                                                        </td>
                                                        <td class="text-right">
                                                            <a href="#" data-toggle="modal"
                                                               data-target="#editGroup_{{ group.groupId }}_Modal"><i
                                                                        class="las la-pen text-secondary font-18"></i></a>
                                                            <a href="#" data-toggle="modal"
                                                               data-target="#deleteGroup_{{ group.groupId }}_Modal"><i
                                                                        class="las la-trash-alt text-danger font-18"></i></a>
                                                        </td>
                                                    </tr>
                                                {% endfor %}
                                                </tbody>
                                            </table><!--end /table-->
                                        {% else %}
                                            <div class="mt-5 col-md-3 text-center mx-auto text-muted">
                                                <img src="{{ asset('assets/reavant/images/contact/icon-contacts-empty.png') }}"
                                                     class="col-md-6 mb-4 img"/>
                                                <h6>You do not have any lists</h6>

                                                Add new list by clicking the "Add a list" button at the top right of the screen.
                                            </div>
                                        {% endif %}
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}

{% block modals %}
    {{ parent() }}

    <!-- Modal Create Group -->
    <div class="modal fade" id="createGroupModal" tabindex="-1" role="dialog"
         aria-labelledby="createGroupModalLabel"
         aria-hidden="true">
        <div class="modal-dialog" role="document">
            {{ form_start(formCreateGroup) }}
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="createGroupModalLabel">Add a contact list</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    {{ form_rest(formCreateGroup) }}
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button type="submit" class="btn btn-primary">Save list</button>
                </div>
            </div>
            {{ form_end(formCreateGroup) }}
        </div>
    </div>

    {% for groupId, formsView in formsViews %}
        <!-- Modal Edit Group Id: {{ groupId }}-->
        <div class="modal fade" id="editGroup_{{ groupId }}_Modal" tabindex="-1" role="dialog"
             aria-labelledby="editGroup_{{ groupId }}_ModalLabel"
             aria-hidden="true">
            <div class="modal-dialog" role="document">
                {{ form_start(formsView) }}
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="createGroupModalLabel">Edit a contact list</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        {{ form_rest(formsView) }}
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-primary">Save list</button>
                    </div>
                </div>
                {{ form_end(formsView) }}
            </div>
        </div>
    {% endfor %}

    <!-- Modals Delete List -->
    {% for group in groups %}
        {% set group = group.data %}
        <div class="modal fade" id="deleteGroup_{{ group.groupId }}_Modal" tabindex="-1" role="dialog"
             aria-labelledby="deleteGroup_{{ group.groupId }}_ModalLabel"
             aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="deleteGroup_{{ group.groupId }}_ModalLabel">
                            Delete a list
                        </h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="alert custom-alert custom-alert-warning icon-custom-alert alert-secondary-shadow fade show"
                             role="alert">
                            <i data-feather="alert-triangle"
                               class="icon-dual alert-icon text-warning align-self-center mr-3"></i>
                            <div class="alert-text my-1">
                                Are you sure you want to delete this list? Your action cannot be undone.
                            </div>
                        </div>
                        <div class="border-top py-3 mt-4">
                            <p><span class="font-weight-bold">The following list will be deleted:</span></p>

                            {{ group.name }}
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <a href="{{ path('app_dashboard_contact_list_delete', {groupId: group.groupId.encode}) }}"
                           class="btn btn-danger">Delete</a>
                    </div>
                </div>
            </div>
        </div>
    {% endfor %}

{% endblock %}